# TODO

## Bugs
- [ ] render text descriptions at bottom

## Roadmap
- [ ] when else does it create new level? after date/time passes? when you walk off map?
- [o] 
  - [X] fixed number of moves limit before you *fall asleep*
  - [ ] background of tiles becomes gray (twilight), then black (nightfall) before you fall asleep?
- [.] ability to 
   - [ ] pray 
   - [ ] sing 
   - [ ] read
   - [ ] meditate 
   - [X] eat
   - [X] ability to drop items
- [ ] programmable robot pet? - (you feed it logo commands to retrieve things?)
- [ ] help system

## Completed

- [X] curses-like screendraw system
- [X] check collision with item, read out message
  - [X] check collision with item, read out its name
- [X] generate descriptions for items that i'm happy with
- [X] inventory file to save inventory
- [X] save date and check for today's date (if so, you cannot move, but can you do something else?)
- [X] load items from disk
- [X] what's the game mechanic / concept? should be one clear concept
- [X] save item positions, 
- [X] add more procedurally-generated things
  - [X] tombstones
  - [X] books
- [X] create, save and load terrain positions 
- [X] save player position, 

## CLOSED Issues
- [X] i'm creating terrain but it's being overwritten (?) by old terrain file. fix.
- [X] not all emoji are same width so different size players cause map row to get off of lined up grid
- [X] breaks when you go above or below screen. (so prevent that).
